## fonts-sil-padauk 2.80

=== wscript ===
#!/usr/bin/python
# encoding: utf-8

#from waflib import Context
import codecs, os

TESTDIR='test-suite'
VERSION='2.80'
TTF_VERSION='2.8'
APPNAME='padauk'
SRCDIST="{0}-src.{1}".format(APPNAME, VERSION)
DESC_SHORT='Burmese Unicode 6 truetype font with OT and Graphite support'
DESC_LONG = '''
Padauk is a pan Burma Unicode font designed to support all the languages
that use the Burmese script. It supports all the characters in the Burmese
blocks for Unicode 6.0 and has OpenType and Graphite tables in it.

There is specific language styling support for: kht, ksw, kyu

There is feature support in Graphite for the following features: kdot, fdot,
lldt, wtri, ulon, utal, dotc, hsln (value: 0-2), nnya, vtta
'''
DEBPKG='ttf-sil-padauk'
COPYRIGHT='Copyright SIL International, all rights reserved'
LICENSE='OFL.txt'

mystrings = {
    'Regular' : 'ပိုမှန်',
    'Bold' : 'စာလုံးမဲ',
    'Padauk' : 'ပိတောက်',
    'Padauk Book' : 'ပိတောက်စာအုပ်'
}
namestrings = {
    '' :            ('Padauk', 'Regular'),
    'bookbold' :    ('Padauk Book', 'Bold'),
    'bold' :        ('Padauk', 'Bold'),
    'book' :        ('Padauk Book', 'Regular')
}

#def init(ctx) :
#    Context.load_tool("font", tooldir=["/home/mhosken/Work/shorts/waf/trunk/bin"])
test = fonttest(targets = { 'pdfs' : tex(),
                            'svg' : svg(files={
                                        'badSequences.txt' : '',
                                        'blk_syllables.txt' : 'lang=blk',
                                        'kht_extas.txt' : 'lang=kht',
                                        'kht_syllables.txt' : 'lang=kht',
                                        'ksw_Wordlist.txt' : 'lang=ksw',
                                        'kyu_regression.txt' : 'lang=kyu',
                                        'kyu_syllables.txt' : 'lang=kyu',
                                        'mnw_shorto62_syllables.txt' : 'lang=mnw',
                                        'mon.txt' : 'lang=mnw',
                                        'my_HeadwordSyllables.txt' : 'ulon=1',
                                        'pwo_syllables.txt' : 'lang=pwo',
                                        'regression.txt' : '',
                                        'sanskrit.txt' : '',
                                        'shn_syllables.txt' : ''
                                        },
                                        grsvg_gr = 'graphite',
                                        grsvg_ot = 'harfbuzzng'
                                        )}
               )

for f in ['', 'bold', 'book', 'bookbold'] :
    fsf = 'font-source/padauk' + f
    if len(f) :
        target = 'Padauk-' + f + '.ttf'
    else :
        target = 'Padauk.ttf'

    legacyfile = '../super/padauk' + f + '.ttf'
    if os.path.exists(legacyfile) :
        legmetrics = create(fsf + '_metrics.xml',
                            cmd('../bin/ttfgetadv ${SRC} ${TGT}', [legacyfile]))
        legxml = create(fsf + '_unicode_patched.xml',
                     cmd('xsltproc -o ${TGT} --path .. --stringparam metricsFile '
                            '${SRC[0].path_from(bld.srcnode.search("font-source"))} '
                            '${SRC[1].bldpath()} ${SRC[2].bldpath()}',
                         [legmetrics,
                             'font-source/patch_padauk_unicode.xsl',
                             'font-source/padauk_unicode.xml']))
        src = legacy(fsf + '_src.ttf',
                        source = legacyfile,
                        xml = legxml,
                        ap = '../super/padauk' + f + '.xml')
    else :
        src = fsf + '_src.ttf'

#    import pdb; pdb.set_trace()
    fnt = font(target = process(target, name(namestrings[f][0], lang='en-US',
            full=((namestrings[f][0] + " " + namestrings[f][1]) if 'bold' in f else namestrings[f][0])),
                                        name(mystrings[namestrings[f][0]], lang='my',
            full=(((mystrings[namestrings[f][0]] + " " + mystrings[namestrings[f][1]]) if 'bold' in f else mystrings[namestrings[f][0]])))),
                version = TTF_VERSION,
                license = ofl("Padauk"),
                copyright = COPYRIGHT,
                source = src,
                ap = fsf + '.xml',
                classes = 'font-source/padauk_classes.xml',
                opentype = volt(fsf + '.vtp',
                                master = fsf + '_src.vtp',
                                make_params = '-t -m "_R _LL _L"',
                                params = '-i -x font-source/padauk' + f + '_tt.xml'),
                graphite = gdl(fsf + '.gdl',
                                master = 'font-source/myanmar5.gdl',
                                params = '-w3521 -q -d -v2'),
                tests = test,
                script = 'mymr',
                extra_srcs = [fsf + '_src.ttf', 'bin/makegdl', 'font-source/myfeatures.gdl']
            )
    
    if os.path.exists(legacyfile) :
        process(fnt.ap, cmd('xsltproc -o ${TGT} '
                        '--stringparam metricsFile ${SRC[0].path_from(bld.srcnode.search("font-source"))} '
                        '--stringparam fontXml ${SRC[1].path_from(bld.srcnode.search("font-source"))} '
                        '${SRC[2].bldpath()} ${DEP}',
                        [legmetrics, legxml, fsf + '_src.xsl']))

def configure(ctx) :
    ctx.env['MAKE_GDL'] = 'perl ../bin/makegdl'

## fonts-sil-padauk 2.61

=== debian/changelog ===
fonts-sil-padauk (2.61-4) unstable; urgency=low

  * Team upload
  * Rename source package to "fonts-sil-padauk" to fit the Font
    Packages Naming Policy.
  * Bump Standards to 3.9.2 (checked)
  * Change fonts install directory from
    usr/share/fonts/truetype/ttf-sil-padauk to
    usr/share/fonts/truetype/padauk
  * Drop x-ttcidfont-conf, fontconfig et al. from Suggests
  * Drop preinst script with defoma removal handling as
    even the package in stable has no more defoma-related stuff.
  * Add udeb package for Debian Installer

 -- Christian Perrier <bubulle@debian.org>  Wed, 07 Sep 2011 22:16:24 +0200

ttf-sil-padauk (2.61-3) unstable; urgency=low

  * Change VERSION in preinst script to be really sure that we
    remove the defoma hints file

 -- Christian Perrier <bubulle@debian.org>  Wed, 02 Dec 2009 05:57:45 +0100

ttf-sil-padauk (2.61-2) unstable; urgency=low

  * Correct package name in preinst

 -- Christian Perrier <bubulle@debian.org>  Mon, 30 Nov 2009 20:39:35 +0100

ttf-sil-padauk (2.61-1) unstable; urgency=low

  * New upstream release
  * Drop defoma use

 -- Christian Perrier <bubulle@debian.org>  Sat, 28 Nov 2009 18:34:27 +0100

ttf-sil-padauk (2.2-2) unstable; urgency=low

  * Use a minimal debian/rules file
  * Switch to 3.0 (quilt) source format
  * Bump debhelper compatibility to 7
  * Add ${misc:Depends} to dependencies to properly cope with
    debhelper-triggerred dependencies
  * Add myself as Uploader
  * Update Standards to 3.8.3 (checked)

 -- Christian Perrier <bubulle@debian.org>  Sun, 22 Nov 2009 22:00:40 +0100

ttf-sil-padauk (2.2-1) unstable; urgency=low

  * New upstream release
  * Adjusted packaging to conform to font team conventions
  * Moved to debhelper compat level 5
  * Added the XS-Vcs fields
  * New Homepage field

 -- Nicolas Spalinger <nicolas.spalinger@sil.org>  Thu, 15 Nov 2007 09:24:55 +0700

ttf-sil-padauk (2.1-2) unstable; urgency=low

  * Updated the Recommends for the current Graphite version
  * Fixed some descriptions
  * Cleaned up rules
  * Now co-maintained by the Debian Fonts Task Force (pkg-fonts Alioth project)
  * Added Daniel Glassey and Martin Hosken as Uploaders
  * Ready for upload. Closes: #351026

 -- Nicolas Spalinger <nicolas.spalinger@sil.org>  Sat,  9 Jun 2007 12:57:32 +0100

ttf-sil-padauk (2.1-1) unstable; urgency=low

  * New upstream release
  * Updated description and URL
  * Fixed Sgaw rendering - Tidied up upper diacritic rendering with U+103B

 -- Nicolas Spalinger <nicolas.spalinger@sil.org>  Sat, 22 Jul 2006 15:50:27 +0200

ttf-sil-padauk (2.0-1) unstable; urgency=low

  * New upstream release
  
 -- Nicolas Spalinger <nicolas.spalinger@sil.org>  Wed, 17 Jun 2006 21:20:39 +0200

ttf-sil-padauk (1.1-1) unstable; urgency=low

  * Add content to package
  * Scaled font by 150% for better balance with Roman fonts

 -- Martin Hosken <martin_hosken@sil.org>  Tue, 31 Jan 2006 21:46:30 +0700

ttf-sil-padauk (1.0-1) unstable; urgency=low

  * Initial release

 -- Nicolas Spalinger <nicolas.spalinger@sil.org>  Wed, 12 Oct 2005 14:21:57 +0100

=== debian/control ===
Source: fonts-sil-padauk
Section: fonts
Priority: optional
Maintainer: Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>
Uploaders: Nicolas Spalinger <nicolas.spalinger@sil.org>, Daniel Glassey <wdg@debian.org>, Martin Hosken <martin_hosken@sil.org>, Christian Perrier <bubulle@debian.org>
Build-Depends: debhelper (>= 7.2.3)
Standards-Version: 3.9.2
Homepage: http://scripts.sil.org/Padauk
Vcs-svn: svn://svn.debian.org/svn/pkg-fonts/packages/fonts-sil-padauk
Vcs-Browser: http://svn.debian.org/wsvn/pkg-fonts/packages/fonts-sil-padauk 

Package: fonts-sil-padauk
Architecture: all
Depends: ${misc:Depends}
Suggests: libgraphite3, pango-graphite
Description: smart Unicode font for languages in Myanmar 
 Padauk is a Myanmar font covering all currently used characters in the
 Myanmar block as specified in Unicode 5.1
 .
 The font is a smart font using a Graphite description.
 .
 The GDL source code for the description and the corresponding documentation
 is available on the website or in the source package (simply type "apt-get
 source" to download it).  In addition OpenType tables have been added.
 .
 The features of the font are complete coverage of Myanmar script (excluding
 unused characters U+1050..U+1059), Graphite smarts including line breaking
 rules, OpenType tables for use on Windows.
 .
 Two fonts from this typeface family are included in this release:
    * Padauk
    * Padauk Bold

Package: fonts-sil-padauk-udeb
XC-Package-Type: udeb
Section: debian-installer
Provides: ttf-installer
Architecture: all
Description: Debian-Installer font for the Burmese language
 This package provides a Burmese font for use with the GTK+ frontend
 of debian-installer.

Package: ttf-sil-padauk
Depends: fonts-sil-padauk, ${misc:Depends}
Architecture: all
Section: oldlibs
Description: transitional dummy package
 This package is a dummy transitional package. It can be safely removed.

## fonts-sil-padauk 2.80

=== debian/changelog ===
fonts-sil-padauk (2.80-2) unstable; urgency=low

  * Bump standards to 3.9.4 (checked)
  * Bump debhelper compatibility to 9
  * Drop ttf-sil-padauk transitional package
  * Add "Multi-Arch: foreign" field
  * Add "Breaks" and "Replaces" to better transition after package
    renaming
  * Use xz extreme compression for deb packages
  * Use git for packaging: adapt Vcs-* fields
  * Use machine-readable copyright format 1.0
  * Use Package-Type in place of XC-Package-Type
  * Replace libgraphite-2.0.0 by libgraphite2-3 in Suggests
    Closes: #707120

 -- Christian Perrier <bubulle@debian.org>  Thu, 09 May 2013 09:24:54 +0200

fonts-sil-padauk (2.80-1) unstable; urgency=low

  * New upstream version for Unicode 6 including new book fonts
  * Bump standards to 3.9.3 (checked)
  * Not built from pkg-fonts svn
  * update graphite suggests to graphite2

 -- Daniel Glassey <wdg@debian.org>  Fri, 29 Jun 2012 16:18:28 +0700

=== debian/control ===
Source: fonts-sil-padauk
Section: fonts
Priority: optional
Maintainer: Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>
Uploaders: Nicolas Spalinger <nicolas.spalinger@sil.org>, Daniel Glassey <wdg@debian.org>, Martin Hosken <martin_hosken@sil.org>, Christian Perrier <bubulle@debian.org>
Build-Depends: debhelper (>= 9~)
Standards-Version: 3.9.4
Homepage: http://scripts.sil.org/Padauk
Vcs-Git: git://anonscm.debian.org/pkg-fonts/fonts-sil-padauk.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-fonts/fonts-sil-padauk.git;a=summary

Package: fonts-sil-padauk
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Suggests: libgraphite2-3
Replaces: ttf-sil-padauk (<< 2.61-4)
Breaks: ttf-sil-padauk (<< 2.61-4)
Description: smart Unicode font for languages in Myanmar 
 Padauk is a pan Myanmar Unicode font designed to support all the languages
 that use the Myanmar script. It supports all the characters in the Myanmar
 blocks for Unicode 6.0 and has OpenType and Graphite tables in it.
 .
 There is specific language styling support for: kht, ksw, kyu
 .
 There is feature support in Graphite for the following features: kdot, fdot,
 lldt, wtri, ulon, utal, dotc, hsln (value: 0-2), nnya, vtta
 .
 The GDL source code for the description and the corresponding documentation
 is available on the website or in the source package (simply type "apt-get
 source" to download it).  In addition OpenType tables have been added.
 .
 The features of the font are complete coverage of Myanmar script (excluding
 unused characters U+1050..U+1059), Graphite smarts including line breaking
 rules, OpenType tables for use on Windows.
 .
 Four fonts from this typeface family are included in this release:
    * Padauk
    * Padauk Bold
    * Padauk Book
    * Padauk Book Bold

Package: fonts-sil-padauk-udeb
Package-Type: udeb
Section: debian-installer
Provides: ttf-installer
Architecture: all
Description: Debian-Installer font for the Burmese language
 This package provides a Burmese font for use with the GTK+ frontend
 of debian-installer.

## fonts-sil-padauk 3.003

=== debian/changelog ===
fonts-sil-padauk (3.003-1) unstable; urgency=medium

  * New upstream release.
  * Update packaging.
  * Update Standards to 4.1.2 (checked)

 -- Bobby de Vos <bobby_devos@sil.org>  Tue, 12 Dec 2017 16:40:43 -0700

=== debian/control ===
Source: fonts-sil-padauk
Section: fonts
Priority: optional
Maintainer: Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>
Uploaders: Nicolas Spalinger <nicolas.spalinger@sil.org>,
           Daniel Glassey <wdg@debian.org>,
           Martin Hosken <martin_hosken@sil.org>,
           Bobby de Vos <bobby_devos@sil.org>
Build-Depends: debhelper (>= 9~)
Standards-Version: 4.1.2
Homepage: https://software.sil.org/padauk
Vcs-Git: https://anonscm.debian.org/git/pkg-fonts/fonts-sil-padauk.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-fonts/fonts-sil-padauk.git

Package: fonts-sil-padauk
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: ttf-sil-padauk (<< 2.80-2~)
Replaces: ttf-sil-padauk (<< 2.80-2~)
Description: Burmese Unicode 6 truetype font with OT and Graphite support
 Padauk is a pan Myanmar Unicode font designed to support all the languages
 that use the Burmese script. It supports all the characters in the Burmese
 blocks for Unicode 6.0 and has OpenType and Graphite tables in it.
 .
 There is specific language styling support for: kht, ksw, kyu
 .
 There is feature support in Graphite for the following features: kdot, fdot,
 lldt, wtri, ulon, utal, dotc, hsln (value: 0-2), nnya, vtta
 .
 Four fonts from this typeface family are included in this release:
    * Padauk
    * Padauk Bold
    * Padauk Book
    * Padauk Book Bold
 .
 Font sources are published in the repository and an open workflow
 is used for building, testing and releasing.
 .
 Webfont versions and HTML/CSS examples are also available.
 The full font sources are publicly available at
 https://github.com/silnrsi/font-padauk

Package: fonts-sil-padauk-udeb
Package-Type: udeb
Section: debian-installer
Provides: ttf-installer
Architecture: all
Description: Debian-Installer font for the Burmese language
 This package provides a Burmese font for use with the GTK+ frontend
 of debian-installer.

## fonts-sil-padauk 4.000

=== debian/changelog ===
fonts-sil-padauk (4.000-1) unstable; urgency=medium

  * New upstream release.
  * Update packaging.
  * Update Standards to 4.4.0 (checked)

 -- Bobby de Vos <bobby_devos@sil.org>  Mon, 09 Sep 2019 10:08:52 -0600

=== debian/control ===
Source: fonts-sil-padauk
Section: fonts
Priority: optional
Maintainer: Debian Fonts Task Force <debian-fonts@lists.debian.org>
Uploaders: Nicolas Spalinger <nicolas.spalinger@sil.org>,
           Daniel Glassey <wdg@debian.org>,
           Martin Hosken <martin_hosken@sil.org>,
           Bobby de Vos <bobby_devos@sil.org>
Build-Depends: debhelper (>= 11)
Standards-Version: 4.4.0
Homepage: https://software.sil.org/padauk
Vcs-Git: https://salsa.debian.org/fonts-team/fonts-sil-padauk.git
Vcs-Browser: https://salsa.debian.org/fonts-team/fonts-sil-padauk

Package: fonts-sil-padauk
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: ttf-sil-padauk (<< 2.80-2~)
Replaces: ttf-sil-padauk (<< 2.80-2~)
Description: Burmese Unicode TrueType font with OpenType and Graphite support
 Padauk is a pan Burma font designed to support all Myanmar script based
 languages. It covers all of the Unicode Myanmar script blocks and works
 on all OpenType and Graphite based systems.
 .
 Features:
  * Special support for: ksw, kht, kyu, shn, aio, phk, csh
  * Variation Selector support for kht, aio, phk
 .
 Issues:
  * Does not work in Word 2007
 .
 For detailed documentation see the contents of the 'documentation' folder.
 .
 Font sources are published in the repository and an open workflow
 is used for building, testing and releasing.
 .
 Webfont versions and HTML/CSS examples are also available.
 .
 The full font sources are publicly available at
 https://github.com/silnrsi/font-padauk
 An open workflow is used for building, testing and releasing.

Package: fonts-sil-padauk-udeb
Package-Type: udeb
Section: debian-installer
Provides: ttf-installer
Architecture: all
Description: Debian-Installer font for the Burmese language
 This package provides a Burmese font for use with the GTK+ frontend
 of debian-installer.

## fonts-sil-padauk 5.000

=== debian/changelog ===
fonts-sil-padauk (5.000-3) unstable; urgency=medium

  * Update Standards to 4.6.0 (checked)

 -- Bobby de Vos <bobby_devos@sil.org>  Tue, 14 Dec 2021 08:37:12 -0700

fonts-sil-padauk (5.000-2) unstable; urgency=medium

  * Bump debhelper from old 12 to 13.

 -- Bobby de Vos <bobby_devos@sil.org>  Mon, 13 Dec 2021 18:30:55 -0700

fonts-sil-padauk (5.000-1) unstable; urgency=medium

  * New upstream release.
  * Update packaging.
  * Update Standards to 4.5.1 (checked)

 -- Bobby de Vos <bobby_devos@sil.org>  Wed, 23 Jun 2021 12:05:06 -0600

=== debian/control ===
--- 
+++ 
@@ -6,18 +6,17 @@
            Daniel Glassey <wdg@debian.org>,
            Martin Hosken <martin_hosken@sil.org>,
            Bobby de Vos <bobby_devos@sil.org>
-Build-Depends: debhelper (>= 11)
-Standards-Version: 4.4.0
+Build-Depends: debhelper-compat (= 13)
+Standards-Version: 4.6.0
 Homepage: https://software.sil.org/padauk
 Vcs-Git: https://salsa.debian.org/fonts-team/fonts-sil-padauk.git
 Vcs-Browser: https://salsa.debian.org/fonts-team/fonts-sil-padauk
+Rules-Requires-Root: no
 
 Package: fonts-sil-padauk
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}
-Breaks: ttf-sil-padauk (<< 2.80-2~)
-Replaces: ttf-sil-padauk (<< 2.80-2~)
 Description: Burmese Unicode TrueType font with OpenType and Graphite support
  Padauk is a pan Burma font designed to support all Myanmar script based
  languages. It covers all of the Unicode Myanmar script blocks and works
@@ -46,6 +45,7 @@
 Section: debian-installer
 Provides: ttf-installer
 Architecture: all
+Multi-Arch: foreign
 Description: Debian-Installer font for the Burmese language
  This package provides a Burmese font for use with the GTK+ frontend
  of debian-installer.

=== debian/watch ===
# Compulsory line, this is a version 4 file
version=4

# GitHub hosted projects
opts="pgpsigurlmangle=s%$%.asc%" \
https://github.com/silnrsi/font-padauk/releases \
 /silnrsi/font-padauk/releases/download/v\d[\d\.]*/Padauk@ANY_VERSION@.tar.xz debian uupdate

## fonts-sil-padauk 5.001

=== debian/changelog ===
fonts-sil-padauk (5.001-1) unstable; urgency=medium

  * New upstream release
  * Update Standards to 4.6.2 (checked)

 -- Bobby de Vos <bobby_devos@sil.org>  Mon, 29 Jan 2024 16:03:06 -0700

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
            Martin Hosken <martin_hosken@sil.org>,
            Bobby de Vos <bobby_devos@sil.org>
 Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: https://software.sil.org/padauk
 Vcs-Git: https://salsa.debian.org/fonts-team/fonts-sil-padauk.git
 Vcs-Browser: https://salsa.debian.org/fonts-team/fonts-sil-padauk
@@ -31,8 +31,11 @@
  .
  For detailed documentation see the contents of the 'documentation' folder.
  .
- Font sources are published in the repository and an open workflow
- is used for building, testing and releasing.
+ Four fonts from this typeface family are included in this release:
+  * Padauk Regular
+  * Padauk Book Regular
+  * Padauk Bold
+  * Padauk Book Bold
  .
  Webfont versions and HTML/CSS examples are also available.
  .
@@ -46,6 +49,7 @@
 Provides: ttf-installer
 Architecture: all
 Multi-Arch: foreign
+Depends: ${misc:Depends}
 Description: Debian-Installer font for the Burmese language
  This package provides a Burmese font for use with the GTK+ frontend
  of debian-installer.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_installchangelogs:
	dh_installchangelogs -k FONTLOG.txt

# woff2 is used instead
override_dh_installdocs:
	dh_installdocs -X.woff

=== debian/watch ===
version=4
opts="searchmode=plain, \
pgpsigurlmangle=s%$%.asc%, \
filenamemangle=s%v?@ANY_VERSION@.tar.xz%-$1.tar.xz%" \
https://api.github.com/repos/silnrsi/font-padauk/releases \
https://github.com/silnrsi/font-padauk/releases/download/v\d[\d\.]*/Padauk@ANY_VERSION@.tar.xz
